Subject: Re: [DNSOP] I-D Action: draft-ietf-dnsop-extended-error-06.txt

From: Wes Hardaker <[email-masked]>
Date: Fri, 09 Aug 2019 22:19:15 -0700

Donald Eastlake <[email-masked]> writes:

>  1. Maybe I'm confused but it seems to me that the RESPONSE-CODE field of 12 bits
>     plus the INFO-CODE field of 16 bits is 28 bits. So I don't understand the 2nd
>     paragraph of Section 3.3 that talks about their concatenation fitting within 24
>     bits.

Yep, it turns out (like someone has previous suggested in this group)
that I can't add.  Or more likely I missed a change spot from previous
versions where the lengths were different.  Anyway, the latest version
has greatly simplified this, though I may have missed another spot.
We need to take one more last pass before asking for a LC.  But it's
late now and I'm going to bed instead of trying to assume my english
parsing skills will pass mustard (a phrase I've never understood).

>  2. On the code point space for INFO-CODE values, the maximum possible in 16 bits is
>     65535, not 65536.

Actually, you just pointed out a spot in the "just posted" document that
I missed *again*.  Anyway, we'll increase the size of those ranges per
your request as it makes sense.  Though I'm not sure giving that much
space to the first-come/first-served and experimental policies make that
much sense.  I think we'd prefer people write a specification for behaviour.
-- 
Wes Hardaker
USC/ISI